Update a List of Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
PUT /users

Query parameters

  • fields string

    extra information of each user on the list

  • limit number

    maximum count of the user list

  • offset number

    skip that many users before beginning to return

application/json

Body

  • xxx_status number
  • email string
  • first_name string
  • id string Required
  • last_name string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string Required

      the updated user id

PUT /users
curl \
 --request PUT 'https://identity.zerionsoftware.com/v1/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"xxx_status":42.0,"email":"support@iformbuilder.com","first_name":"Calvin","id":"5e72b386ac43d1414e59188b","last_name":"Johnson"}'
Request examples
{
  "xxx_status": 42.0,
  "email": "support@iformbuilder.com",
  "first_name": "Calvin",
  "id": "5e72b386ac43d1414e59188b",
  "last_name": "Johnson"
}
Response examples (200)
[
  {
    "id": "5e72b386ac43d1414e59188b"
  },
  {
    "id": "5e72b386ac43d1414e59188c"
  }
]